--- 
- name: "mediawiki directory" 
  file: 
    path: "{{mediawiki_directory}}" 
    owner: "apache" 
    group: "apache" 
    state: directory 
- name: "uncompress mediawiki archive" 
  unarchive: 
    src: "{{mediawiki_archive_url}}" 
    dest: "{{mediawiki_directory}}" 
    owner: "apache" 
    group: "apache" 
    remote_src: yes 
    extra_opts: --transform=s/mediawiki-[0-9\.]*\/// 
- name: "mediawiki configuration" 
  become: yes 
  become_user: "apache" 
  args: 
    creates: "{{mediawiki_directory}}/LocalSettings.php" 
    chdir: "{{mediawiki_maintenance_directory}}" 
  command: 
    php install.php --scriptpath /{{mediawiki_name}} 
      --dbname mediawiki --lang fr 
      --dbuser {{mediawiki_db_user}} 
      --dbpass {{mediawiki_db_password}} 
      --pass {{mediawiki_admin_password}} 
      --dbserver {{mediawiki_db_host}}   
      {{mediawiki_title}} {{mediawiki_admin_user}} 
  run_once: yes 
  delegate_to: "{{item}}" 
  with_items: "{{groups.apache}}" 
- name: "mediawiki db update" 
  become: yes 
  become_user: "apache" 
  command: 
    php update.php --quick 
  args: 
    chdir: "{{mediawiki_maintenance_directory}}" 
  # La mise à jour a besoin d'être lancée une seule fois 
  run_once: yes 
  register: update_result 
  changed_when: "' ...done.' in update_result.stdout" 
